/*******************************************************************************
 * FILENAME: CommonCSS.c
 *
 * PROJECT:
 *    Bitty HTTP
 *
 * FILE DESCRIPTION:
 *    
 *
 * COPYRIGHT:
 *    Copyright (c) 2019 Paul Hutchinson
 *
 *    Permission is hereby granted, free of charge, to any person obtaining a copy
 *    of this software and associated documentation files (the "Software"), to deal
 *    in the Software without restriction, including without limitation the rights
 *    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *    copies of the Software, and to permit persons to whom the Software is
 *    furnished to do so, subject to the following conditions:
 *    
 *    The above copyright notice and this permission notice shall be included in all
 *    copies or substantial portions of the Software.
 *    
 *    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *    SOFTWARE.
 *
 ******************************************************************************/

/*** HEADER FILES TO INCLUDE  ***/
#include "CommonCSS.h"

/*** DEFINES                  ***/

/*** MACROS                   ***/

/*** TYPE DEFINITIONS         ***/

/*** FUNCTION PROTOTYPES      ***/

/*** VARIABLE DEFINITIONS     ***/

const char CommonCSS[]=
"body, html\n"
"{\n"
"    padding:0;\n"
"    margin:0;\n"
"    background-color:#fafafa;\n"
"    font-family: 'Verdana',sans-serif;\n"
"}\n"
"\n"
".MainHeader\n"
"{\n"
"    display:block;\n"
"    width:100%;\n"
"    border-bottom:1px solid #eee;\n"
"    position: fixed;\n"
"    top:0;\n"
"    left:0;\n"
"    z-index:100;\n"
"    margin-bottom:100px;\n"
"}\n"
"\n"
".MainHeader h1\n"
"{\n"
"    font-size:30px;\n"
"    line-height:50px;\n"
"    height:50px;\n"
"    color:black;\n"
"    margin:0;\n"
"    padding:0 0 0 10px;\n"
"    display:block;\n"
"    background-color:white;\n"
"    font-family: sans-serif;\n"
"}\n"
"\n"
".Bread\n"
"{\n"
"    margin:64px 10px 10px 10px;\n"
"    color:#252525;\n"
"    font-size:.8em;\n"
"}\n"
".MainContent\n"
"{\n"
"    margin:10px 10px 10px 10px;\n"
"    color:#252525;\n"
"}\n"
"\n"
".MainContent h1\n"
"{\n"
    "color:#10161a;\n"
    "font-family: 'Montserrat',sans-serif;\n"
    "font-weight:700;\n"
    "position: relative;\n"
    "margin: 0 24px 8px 24px;\n"
    "padding: 8px;\n"
    "background-color: #F0D756;\n"
    "padding-left: 50px;\n"
"}\n"
"\n"
".MainContent h1 span\n"
"{\n"
    "position: absolute;\n"
    "top: -0.1em;\n"
    "left: -0.5em;\n"
    "width: 1.8em;\n"
    "height: 1.2em;\n"
    "font-size: 1.2em;\n"
    "line-height: 1.2;\n"
    "font-weight: bold;\n"
    "text-align: center;\n"
    "color: white;\n"
    "background-color: #6CD6CC;\n"
    "transform: rotate(-20deg);\n"
    "-ms-transform: rotate(-20deg);\n"
    "-webkit-transform: rotate(-20deg);\n"
    "overflow: hidden;\n"
"}\n"
"\n"
".MainContent h2\n"
"{\n"
    "color:#10161a;\n"
    "font-family: 'Montserrat',sans-serif;\n"
    "font-weight:700;\n"
    "position: relative;\n"
    "margin: 0 32px 8px 50px;\n"
    "padding: 8px;\n"
    "background-color: #F0D756;\n"
    "padding-left: 15px;\n"
    "font-size: 1em;\n"
"}\n"
"\n"
".MainContent h3\n"
"{\n"
    "color:#10161a;\n"
    "font-family: 'Montserrat',sans-serif;\n"
    "font-weight:700;\n"
    "position: relative;\n"
    "margin: 0 32px 8px 50px;\n"
    "padding: 8px;\n"
    "background-color: #F0D756;\n"
    "padding-left: 35px;\n"
    "font-size: .8em;\n"
"}\n"
"\n"
"\n"
".MainMenu\n"
"{\n"
"    position: absolute;\n"
"    right:0px;\n"
"    top:0px;\n"
"    font-family: 'Varela Round',sans-serif;\n"
"}\n"
"\n"
".MainMenu ul\n"
"{\n"
"    background: white;\n"
"    list-style: none;\n"
"    margin:0;\n"
"    padding:0;\n"
"}\n"
"\n"
".MainMenu li a\n"
"{\n"
"    height:50px;\n"
"    line-height:50px;\n"
"    display:block;\n"
"    text-decoration: none;\n"
"    white-space: nowrap;\n"
"    padding:0 1rem;\n"
"}\n"
"\n"
"a\n"
"{\n"
"    color: #10161a;\n"
"    text-decoration: underline #6195FF;\n"
"    transition: color 0.2s ease 0s;\n"
"    font-family: 'Varela Round',sans-serif;\n"
"}\n"
"\n"
".MainMenu li\n"
"{\n"
"    color: #10161a;\n"
"    background: white;\n"
"    float: left;\n"
"    position: relative;\n"
"    text-decoration: none;\n"
"    margin:0px;\n"
"    padding:0px;\n"
"\n"
"    display: block;\n"
"}\n"
"\n"
".MainMenu li a:hover\n"
"{\n"
"    cursor: pointer;\n"
"    background: green;\n"
"    color: #fff;\n"
"}\n"
"\n"
".MainMenu ul li ul\n"
"{\n"
"    visibility: hidden;\n"
"    opacity: 0;\n"
"    position: absolute;\n"
"    left: 0;\n"
"    display: none;\n"
"    background-color:yellow;\n"
"}\n"
"\n"
".MainMenu ul li:hover > ul, .MainMenu ul li ul:hover\n"
"{\n"
"    visibility: visible;\n"
"    opacity: 1;\n"
"    display: block;\n"
"}\n"
"\n"
".MainMenu ul li ul li\n"
"{\n"
"    clear: both;\n"
"    width: 100%;\n"
"    background-color:#6195ff;\n"
"}\n"
"\n"
".MainMenu ul li ul li a\n"
"{\n"
"    color:white;\n"
"}\n"
"\n"
".MainMenu ul li ul li a:hover\n"
"{\n"
"    color:#fff;\n"
"    background-color:grey;\n"
"}\n"
"\n"
".MainMenu ul > li > a:hover::after, .MainMenu ul > li.active > a::after,"
"a:hover::after\n"
"{\n"
"    width:100%;\n"
"}\n"
"\n"
".MainMenu ul > li a:after\n"
"{\n"
"    content: '';\n"
"    display: block;\n"
"    background-color: #6195FF;\n"
"    height: 2px;\n"
"    position: relative;\n"
"    top:-10px;\n"
"    width: 0;\n"
"    -webkit-transition: 0.2s width;\n"
"    transition: 0.2s width;\n"
"}\n"
"\n"
".MainMenu ul > li > a:hover, .MainMenu ul > li > a:focus, .MainMenu ul > li.active > a, a:hover, a:focus\n"
"{\n"
"    background: transparent;\n"
"    color: #6195FF;\n"
"}\n"
"\n"
".bttn\n"
"{\n"
"    background-color:#6195ff;\n"
"    color:#fff;\n"
"    border-radius:3px;\n"
"    display:inline-block;\n"
"    margin:3px;\n"
"    padding:10px 35px;\n"
"    transition:opacity 0.2s ease 0s;\n"
"    text-decoration: none;\n"
"    font-family: 'Varela Round',sans-serif;\n"
"}\n"
"\n"
".bttn:hover\n"
"{\n"
"    opacity:0.8;\n"
"}\n"
"\n"
"table.FnDescTable\n"
"{\n"
"    border-collapse: collapse;\n"
"    margin-left:20px;\n"
"    margin-bottom:20px;\n"
"}\n"
"\n"
"table.FnDescTable th, table.FnDescTable td\n"
"{\n"
"    border-width: 1px;\n"
"    border-style: solid;\n"
"    border-color: #F0D756 #ccc;"
"    padding: 5px;"
"}\n"
"table.FnDescTable tr:nth-child(even)\n"
"{\n"
"    background-color: #FFF9A9;\n"
"}\n"
"\n"
"table.FnDescTable tr:nth-child(odd)\n"
"{\n"
"    background-color: #FFF;\n"
"}\n"
"\n"
"table.FnDescTable tr:hover\n"
"{\n"
"    background-color: #e0e0e0;\n"
"}\n"
"\n"
".code\n"
"{\n"
"    background-color: #e0e0e0;\n"
"    border: 1px solid black;\n"
"    color: black;\n"
"    font-family: monospace;\n"
"    margin: 15px;\n"
"    padding: 5px;\n"
"    white-space: pre;\n"
"}\n"
"\n"
".coderef\n"
"{\n"
"    font-family: monospace;\n"
"    color: black;\n"
"    background-color: #e0e0e0;\n"
"    border: 1px solid black;\n"
"    padding:1px 3px;\n"
"}\n"
"table.ReleaseTable\n"
"{\n"
"    border-collapse: collapse;\n"
"    margin-left:20px;\n"
"    margin-bottom:20px;\n"
"}\n"
"\n"
"table.ReleaseTable th, table.ReleaseTable td\n"
"{\n"
"    border-width: 1px;\n"
"    border-style: solid;\n"
"    border-color: #F0D756 #ccc;"
"    padding: 5px;"
"}\n"
"table.ReleaseTable tr:nth-child(even)\n"
"{\n"
"    background-color: #FFF9A9;\n"
"}\n"
"\n"
"table.ReleaseTable tr:nth-child(odd)\n"
"{\n"
"    background-color: #FFF;\n"
"}\n"
"\n"
"table.ReleaseTable tr:hover\n"
"{\n"
"    background-color: #e0e0e0;\n"
"}\n"
"\n"
".anchor\n"
"{\n"
"    display: block;\n"
"    height: 50px; /* same height as header */\n"
"    margin-top: -50px;\n"
"    visibility: hidden;\n"
"}\n"
"p.ReleaseNotes"
"{\n"
"    margin-left:85px;\n"
"}\n"
"h3.ReleaseNotes"
"{\n"
    "color:#252525;\n"
    "font-family: 'Montserrat',sans-serif;\n"
    "font-weight:700;\n"
    "position: relative;\n"
    "margin: 0 0px 0px 50px;\n"
    "background-color: initial;\n"
    "padding-left: 20px;\n"
    "font-size: .8em;\n"
"}\n"
".Autodoc .TOC\n"
"{\n"
"   width: 100%;\n"
"   padding: 0;\n"
"   border-collapse: collapse;\n"
"}\n"
"\n"
".Autodoc table.TOC td\n"
"{\n"
"    padding: 1px 10px 1px 10px;\n"
"}\n"
"\n"
".Autodoc table.TOC td.TOCHeader\n"
"{\n"
"    background-color: #A1B0B9;\n"
"    color: white;\n"
"    padding-left: 5px;\n"
"    text-shadow: 0 1px 0 #878C8F;\n"
"    font-size: .5em;\n"
"}\n"
"\n"
".Autodoc div.FunctionProto\n"
"{\n"
"    border-radius: 8px 8px 8px 8px;\n"
"    background-color: #EEF3F5;\n"
"    border: 1px solid #DEDEEE;\n"
"    padding: 4px;\n"
"    color: black;\n"
"    margin: 5px 20px 5px 20px;\n"
"}\n"
"\n"
".Autodoc h2.FunctionNameHeader\n"
"{\n"
"    padding: 0 4px;\n"
"    color: black;\n"
"    margin-top: 10px;\n"
"    color:inherit;\n"
"    margin: 0;\n"
"    padding: 8px;\n"
"    background-color: inherit;\n"
"    padding-left: 0;\n"
"    font-size: 1.5em;\n"
"}\n"
"\n"
".Autodoc a.HomeLink\n"
"{\n"
"    border-radius: 8px;\n"
"    background-color: #A5A5A3;\n"
"    display: block;\n"
"    height: 20px;\n"
"    line-height: 20px;\n"
"    width: 50px;\n"
"    text-align: center;\n"
"    padding: 5px;\n"
"    margin-left: 5px;\n"
"    color: black;\n"
"}\n"
".Autodoc a[name]\n"
"{\n"
"    display: block;\n"
"    height: 50px; /* same height as header */\n"
"    margin-top: -50px;\n"
"    visibility: hidden;\n"
"}\n"
"\n"
"";

void File_CommonCSS(struct WebServer *Web)
{
    WS_WriteWhole(Web,CommonCSS,sizeof(CommonCSS)-1);
}
